declare_plugin("Flaming Cliffs by Eagle Dynamics",
{
image     	 = "FC3.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("FC3"),
version		 = "1.2.6",
state		 = "installed",
info		 = _("Lock On: Flaming Cliffs 3 (FC3) is the continuation of the Flaming Cliffs series that features the F-15C, A-10A, Su-27, Su-33, MiG-29A, MiG-29S, Su-25T, and Su-25. Each aircraft provides an easy learning curve for new players and focuses on a broad range of aircraft rather than a detailed single aircraft. This 3rd version of Flaming Cliffs offers a new F-15C cockpit, improved flight dynamics, expanded combat area, new AI units, improved AI, a new F-15C campaign and a dozen single missions, and countless improvements to the series. FC3 requires an installation of Lock On: Modern Air Combat or a working copy of Flaming Cliffs or Flaming Cliffs 2."),

Skins	= 
	{
		{
			name	= "FC3",
			dir		= "Skins/1"
		},
	},
Missions =
	{
		{
			name		= _("FC3"),
			dir			= "Missions",
			CLSID		= "{BE17BAE1-A282-405E-9536-61AF644AB292}",	
            download	= "http://www.digitalcombatsimulator.com/en/downloads/video/fc3/",
			download_ru	= "http://www.digitalcombatsimulator.com/ru/downloads/video/fc3/"
		},
	},
	
LogBook =
	{
		{
			name		= _("F-15C"),
			type		= "F-15C",
		},
		{
			name		= _("F-15E"),
			type		= "F-15E",
		},
        {
            name		= _("F-16A"),
			type		= "F-16A",
		},
        {
            name		= _("F-16A MLU"),
			type		= "F-16A MLU",
		},
        {
            name		= _("F-16C bl.50"),
			type		= "F-16C bl.50",
		},
        {
            name		= _("F-16C bl.52d"),
			type		= "F-16C bl.52d",
		},
		{
			name		= _("FA-18C"),
			type		= "FA-18C",
		},
		{
			name		= _("FA-18A"),
			type		= "FA-18A",
		},
		{
			name		= _("E-2C"),
			type		= "E-2C",
		},
		{
			name		= _("A-10A"),
			type		= "A-10A",
		},
		{
			name		= _("Tornado IDS"),
			type		= "Tornado IDS",
		},
		{
			name		= _("Tornado GR4"),
			type		= "Tornado GR4",
		},
		{
			name		= _("MiG-29A"),
			type		= "MiG-29A",
		},
		{
			name		= _("MiG-29G"),
			type		= "MiG-29G",
		},
		{
			name		= _("MiG-29S"),
			type		= "MiG-29S",
		},
		{
			name		= _("MiG-29K"),
			type		= "MiG-29K",
		},
		{
			name		= _("MiG-31"),
			type		= "MiG-31",
		},
		{
			name		= _("Su-25"),
			type		= "Su-25",
		},
		{
			name		= _("Su-27"),
			type		= "Su-27",
		},
		{
			name		= _("Su-33"),
			type		= "Su-33",
		},
        {
            name		= _("Su-34"),
			type		= "Su-34",
		},
		{
			name		= _("Su-30"),
			type		= "Su-30",
		},
		{
			name		= _("L-39ZA"),
			type		= "L-39ZA",
		},
		{
			name		= _("Yak-40"),
			type		= "Yak-40",
		},
		{
			name		= _("An-26B"),
			type		= "An-26B",
		},
		{
			name		= _("An-30M"),
			type		= "An-30M",
		},
		{
			name		= _("F-4E"),
			type		= "F-4E",
		},
		{		
			name		= _("F-14A"),
			type		= "F-14A",	
		},
	},

	--[[
Options =
	{
		{
			name		= _("FC3"),
			nameId		= "FC3",
			dir			= "Options",
			CLSID		= "{8A1FFFA5-D842-4EF8-8F65-EA9FDF40AC6E}"
		},
	},]]
	
InputProfiles =
{
    ["a-10a"] = current_mod_path .. '/Input/a-10a',
    ["F-15C"] = current_mod_path .. '/Input/f-15c',
    --["F-15E"] = current_mod_path .. '/Input/f-15e',
    ["F-16A"] = current_mod_path .. '/Input/f-16a',
    ["F-16A-2"] = current_mod_path .. '/Input/f-16a-2',
    ["F-16C"] = current_mod_path .. '/Input/f-16c',
    ["F-16C-2"] = current_mod_path .. '/Input/f-16c-2',
    --["f-18c"] = current_mod_path .. '/Input/f-18c',
    ["f-18a"] = current_mod_path .. '/Input/f-18a',
	["f-14a"] = current_mod_path .. '/Input/f-14a',
    ["e-2c hawkeye"] = current_mod_path .. '/Input/e-2c hawkeye',
    ["Tornado IDS"] = current_mod_path .. '/Input/Tornado IDS',
    ["Tornado GR4"] = current_mod_path .. '/Input/Tornado GR4',
    ["mig-29"] = current_mod_path .. '/Input/mig-29',
    ["mig-29c"] = current_mod_path .. '/Input/mig-29c',
    ["mig-29g"] = current_mod_path .. '/Input/mig-29g',
    ["mig-29k"] = current_mod_path .. '/Input/mig-29k',
    ["mig-31"] = current_mod_path .. '/Input/mig-31',
    ["su-25"] = current_mod_path .. '/Input/su-25',
    ["su-27"] = current_mod_path .. '/Input/su-27',
    ["su-30"] = current_mod_path .. '/Input/su-30',
    ["su-33"] = current_mod_path .. '/Input/su-33',
    ["su-34"] = current_mod_path .. '/Input/su-34',
    --["L-39_ZA"] = current_mod_path .. '/Input/L-39_ZA',
    ["Yak-40"] = current_mod_path .. '/Input/Yak-40',
    ["A-50"] = current_mod_path .. '/Input/A-50',
    ["An-26B"] = current_mod_path .. '/Input/An-26B',
    ["An-30M"] = current_mod_path .. '/Input/An-30M',
	["F-4e phantom ii"] = current_mod_path .. '/Input/F-4E',
	["C-130j"] = current_mod_path .. '/Input/C-130',
},

binaries 	 =
{
'FC3',
'A10A',
},


})
----------------------------------------------------------------------------------------

--mount_vfs_texture_path("Bazar/World/textures/CockpitsPlatinumBMP")
--mount_vfs_texture_path("Bazar/World/textures/CockpitsTextures")
mount_vfs_texture_path("Bazar/World/textures/CockpitsHDTextures")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F-15C-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/A-10A-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/SU-25-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/SU-27S-CPT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")



make_flyable('A-10A'	, current_mod_path..'/Cockpit/A10A/', {self_ID,'A10A',old = true}, current_mod_path..'/Comm/A-10A.lua')
make_flyable('F-15C'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/F-15C.lua')
make_flyable('F-15E'  , current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/F-15E.lua')
make_flyable('F-16A', nil, nil, current_mod_path..'/Comm/F-16A.lua')
make_flyable('F-16C bl.50', nil, nil, current_mod_path..'/Comm/F-16C bl.50.lua')
make_flyable('F-16A MLU', nil, nil, current_mod_path..'/Comm/F-16A MLU.lua')
make_flyable('F-16C bl.52d', nil, nil, current_mod_path..'/Comm/F-16C bl.52d.lua')
--make_flyable('F/A-18C', nil, nil, current_mod_path..'/Comm/f-18c.lua')
make_flyable('F/A-18A' , current_mod_path..'/Cockpit/KneeboardRight/',{self_ID,'F/A-18A',old = 16}, current_mod_path..'/Comm/FA-18A.lua') 
make_flyable('F-14A' , current_mod_path..'/Cockpit/KneeboardRight/',{self_ID,'F-14A',old = 4}, current_mod_path..'/Comm/F-14A.lua') 
make_flyable('E-2C', nil, nil, current_mod_path..'/Comm/E-2C.lua')
make_flyable('Tornado IDS', nil, nil, current_mod_path..'/Comm/Tornado IDS.lua')
make_flyable('Tornado GR4', nil, nil, current_mod_path..'/Comm/Tornado GR4.lua')
make_flyable('MiG-29A'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29A.lua')
make_flyable('MiG-29G'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29G.lua')
make_flyable('MiG-29S'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29S.lua')
make_flyable('MiG-29K', nil, nil, current_mod_path..'/Comm/MiG-29K.lua')
--make_flyable('MiG-31', nil, nil, current_mod_path..'/Comm/MiG-31.lua')
make_flyable('Su-25'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/Su-25.lua')
make_flyable('Su-27'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/Su-27.lua')
make_flyable('Su-30', nil, nil, current_mod_path..'/Comm/Su-30.lua')
make_flyable('Su-33'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/Su-33.lua')
make_flyable('Su-34', nil, nil, current_mod_path..'/Comm/Su-34.lua')
make_flyable('L-39ZA', nil, nil, current_mod_path..'/Comm/L-39ZA.lua')
make_flyable('Yak-40', nil, nil, current_mod_path..'/Comm/Yak-40.lua')
make_flyable('A-50', nil, nil, current_mod_path..'/Comm/A-50.lua')
make_flyable('An-26B', nil, nil, current_mod_path..'/Comm/An-26B.lua')
make_flyable('An-30M', nil, nil, current_mod_path..'/Comm/An-30M.lua')
make_flyable('F-4E' , current_mod_path..'/Cockpit/KneeboardRight/',{self_ID,'F-4E',old = 4}, current_mod_path..'/Comm/F-4E.lua') 
----------------------------------------------------------------------------------------
plugin_done()
